#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%define		pdir	Net
%define		pnam	DBus
Summary:	Net::DBus - Perl extension for the DBus message system 
Summary(pl.UTF-8):	Net::DBus - Rozszerzenie Perla dla systemu komunikacji DBus
Name:		perl-Net-DBus
Version:	1.2.0
Release:	3
# "same as perl", but GPL v2+ is specified
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a260e9ae037981a3519ffd5f2e9f2906
URL:		https://metacpan.org/dist/Net-DBus
BuildRequires:	dbus-devel >= 1.3.0
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-Twig
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(Test::CPAN::Changes)
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	dbus-libs >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DBus provides a Perl XS API to the dbus inter-application
messaging system. The Perl API covers the core base level of the dbus
APIs, not concerning itself yet with the GLib or Qt wrappers. For more
information on dbus visit the project website at
<http://www.freedesktop.org/software/dbus/>.

%description -l pl.UTF-8
Moduł Net::DBus dostarcza API Perla XS dla dbusa - systemu komunikacji
między aplikacjami. API Perla pokrywa kluczową funkcjonalność API
dbusa, nie kłopocząc się jeszcze wrapperami GLiba albo Qt. Więcej
informacji na temat dbusa można znaleźć na stronie projektu:
<http://www.freedesktop.org/software/dbus/>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DBus/*.pod
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DBus/Tutorial

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%{perl_vendorarch}/Net/DBus.pm
%dir %{perl_vendorarch}/Net/DBus
%{perl_vendorarch}/Net/DBus/*.pm
%dir %{perl_vendorarch}/Net/DBus/Binding
%{perl_vendorarch}/Net/DBus/Binding/*.pm
%dir %{perl_vendorarch}/Net/DBus/Binding/Message
%{perl_vendorarch}/Net/DBus/Binding/Message/*.pm
%dir %{perl_vendorarch}/Net/DBus/Test
%{perl_vendorarch}/Net/DBus/Test/*.pm
%dir %{perl_vendorarch}/auto/Net/DBus
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DBus/DBus.so
%{_mandir}/man3/Net::DBus*.3pm*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-DBus.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 7d03e85
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5e01416
- rebuild with perl 5.34.0

* Sat Jun 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 0c966c8
- updated to 1.2.0

* Mon May 10 2021 Jan Rękorajski <baggins@pld-linux.org> e501da0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 452e7ef
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 209b77a
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 64bdc9c
- release 6

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 24cc3cf
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2cc057d
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 39aae00
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1af60ff
- release 2 (by relup.sh)

* Mon May 18 2015 Jakub Bogusz <qboosh@pld-linux.org> f2d1732
- updated dependencies

* Thu Apr 23 2015 Adam Osuchowski <adwol@pld-linux.org> 9782c7a
- up to 1.1.0

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 032de4c
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 5c089f5
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 026d51d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6fe5ab6
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a7dcbbb
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 2739156
- use __rm macro

* Tue Nov 29 2011 Adam Osuchowski <adwol@pld-linux.org> 4383135
- up to 1.0.0

